import { h } from './core-095fd691.js';

const ElementQuestionBase = (props, children) => {
    const { question, required } = props;
    return [
        h("bce-input", Object.assign({ type: "textarea" }, question, { compact: true })),
        ...children,
        h("bce-input", Object.assign({ type: "switch" }, required))
    ];
};

export { ElementQuestionBase as E };
